Error message executing new tutorial

Hi All! Really appreciate your work.

I am trying to run the SARS-CoV-2 tutorial using the sample dataset but come to the following error message:

Error in rule filter:
jobid: 103
output: results/filtered.fasta
log: logs/filtered.txt (check log file(s) for error message)
shell:

    augur filter             --sequences data/example_sequences.fasta             --metadata data/example_metadata.tsv             --include defaults/include.txt             --max-date 2020.52868852459             --exclude defaults/exclude.txt             --exclude-where division='USA' date='2020' date='2020-01-XX' date='2020-02-XX' date='2020-03-XX' date='2020-04-XX' date='2020-05-XX' date='2020-06-XX' date='2020-01' date='2020-02' date='2020-03' date='2020-04' date='2020-05' date='2020-06'            --min-length 27000             --output results/filtered.fasta 2>&1 | tee logs/filtered.txt
    
    (one of the commands exited with non-zero exit code; note that snakemake uses bash strict mode!)

Shutting down, this might take some time.
Exiting because a job execution failed. Look above for error message

Any advice? Please let me know if I can provide more context.

Thank you,
Nima

Hi @nassad! Could you share the exact Snakemake command you’re running to get this error and also the contents of the logs/filtered.txt file? The contents of the log file should help us track down the specific issue.

Please note that I am not running in a Conda environment. I kept receiving permissions issues and am working on this.

snakemake --cores 12 --profile my_profiles/example -p

logs/filtered.txt:

usage: augur [-h]

         {parse,filter,mask,align,tree,refine,ancestral,translate,reconstruct-sequences,clades,traits,sequence-traits,lbi,distance,titers,frequencies,export,validate,version,import}
         ...

Augur: A bioinformatics toolkit for phylogenetic analysis.

positional arguments:
{parse,filter,mask,align,tree,refine,ancestral,translate,reconstruct-sequences,clades,traits,sequence-traits,lbi,distance,titers,frequencies,export,validate,version,import}
parse Parse delimited fields from FASTA sequence names into
a TSV and FASTA file.
filter Filter and subsample a sequence set.
mask Mask specified sites from a VCF or FASTA file.
align Align multiple sequences from FASTA.
tree Build a tree using a variety of methods.
refine Refine an initial tree using sequence metadata.
ancestral Infer ancestral sequences based on a tree.
translate Translate gene regions from nucleotides to amino
acids.
reconstruct-sequences
Reconstruct alignments from mutations inferred on the
tree
clades Assign clades to nodes in a tree based on amino-acid
or nucleotide signatures.
traits Infer ancestral traits based on a tree.
sequence-traits Annotate sequences based on amino-acid or nucleotide
signatures.
lbi Calculate LBI for a given tree and one or more sets of
parameters.
distance Calculate the distance between sequences across entire
genes or at a predefined subset of sites.
titers Annotate a tree with actual and inferred titer
measurements.
frequencies infer frequencies of mutations or clades
export Export JSON files suitable for visualization with
auspice.
validate Validate files related to augur consumption or export.
version Print the version of augur.
import Import analyses into augur pipeline from other systems

optional arguments:
-h, --help show this help message and exit

It looks like maybe there is something unexpected with the augur installation. Can you share the output of the augur version command?

One way to ensure that you have the correct versions installed is to run the workflow with the --use-conda flag like so:

snakemake --use-conda --cores 12 --profile my_profiles/example -p

If you have miniconda installed, the command above should take care of creating the appropriate environment to run the workflow. This environment will be created in your ncov directory.

As an alternative to the conda-based approach, if you have permission to run Docker on your computer, you can install the Docker-based Nextstrain command line interface and run the example workflow like so from the ncov directory:

nextstrain build . --cores 12 --profile my_profiles/example -p

$ augur --version

augur 9.0.0

$ snakemake --use-conda --cores 12 --profile my_profiles/example -p
Building DAG of jobs…
Creating conda environment workflow/envs/nextstrain.yaml…
Downloading and installing remote packages.
CreateCondaEnvironmentException:
Could not create conda environment from /hpc/users/assadn01/ncov/workflow/snakemake_rules/…/envs/nextstrain.yaml:
Collecting package metadata (repodata.json): …working… done
Solving environment: …working… done

>>>>>>>>>>>>>>>>>>>>>> ERROR REPORT <<<<<<<<<<<<<<<<<<<<<<

Traceback (most recent call last):
  File "/hpc/packages/minerva-centos7/anaconda3/2019.10/lib/python3.7/site-packages/conda/core/package_cache_data.py", line 301, in _make_single_record
    repodata_record = read_repodata_json(extracted_package_dir)
  File "/hpc/packages/minerva-centos7/anaconda3/2019.10/lib/python3.7/site-packages/conda/gateways/disk/read.py", line 130, in read_repodata_json
    with open(join(extracted_package_directory, 'info', 'repodata_record.json')) as fi:
  File "/hpc/packages/minerva-centos7/anaconda3/2019.10/lib/python3.7/site-packages/conda/common/compat.py", line 178, in open
    closefd=closefd)
PermissionError: [Errno 13] Permission denied: '/hpc/packages/minerva-centos7/anaconda3/2019.10/pkgs/blas-1.0-mkl/info/repodata_record.json'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/hpc/packages/minerva-centos7/anaconda3/2019.10/lib/python3.7/site-packages/conda/core/package_cache_data.py", line 318, in _make_single_record
    raw_json_record = read_index_json(extracted_package_dir)
  File "/hpc/packages/minerva-centos7/anaconda3/2019.10/lib/python3.7/site-packages/conda/gateways/disk/read.py", line 116, in read_index_json
    with open(join(extracted_package_directory, 'info', 'index.json')) as fi:
  File "/hpc/packages/minerva-centos7/anaconda3/2019.10/lib/python3.7/site-packages/conda/common/compat.py", line 178, in open
    closefd=closefd)
PermissionError: [Errno 13] Permission denied: '/hpc/packages/minerva-centos7/anaconda3/2019.10/pkgs/blas-1.0-mkl/info/index.json'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/hpc/packages/minerva-centos7/anaconda3/2019.10/lib/python3.7/site-packages/conda/exceptions.py", line 1079, in __call__
    return func(*args, **kwargs)
  File "/hpc/packages/minerva-centos7/anaconda3/2019.10/lib/python3.7/site-packages/conda_env/cli/main.py", line 80, in do_call
    exit_code = getattr(module, func_name)(args, parser)
  File "/hpc/packages/minerva-centos7/anaconda3/2019.10/lib/python3.7/site-packages/conda_env/cli/main_create.py", line 111, in execute
    result[installer_type] = installer.install(prefix, pkg_specs, args, env)
  File "/hpc/packages/minerva-centos7/anaconda3/2019.10/lib/python3.7/site-packages/conda_env/installers/conda.py", line 39, in install
    unlink_link_transaction.download_and_extract()
  File "/hpc/packages/minerva-centos7/anaconda3/2019.10/lib/python3.7/site-packages/conda/core/link.py", line 194, in download_and_extract
    self._pfe.execute()
  File "/hpc/packages/minerva-centos7/anaconda3/2019.10/lib/python3.7/site-packages/conda/core/package_cache_data.py", line 627, in execute
    self.prepare()
  File "/hpc/packages/minerva-centos7/anaconda3/2019.10/lib/python3.7/site-packages/conda/common/io.py", line 88, in decorated
    return f(*args, **kwds)
  File "/hpc/packages/minerva-centos7/anaconda3/2019.10/lib/python3.7/site-packages/conda/core/package_cache_data.py", line 612, in prepare
    for prec in self.link_precs)
  File "/hpc/packages/minerva-centos7/anaconda3/2019.10/lib/python3.7/site-packages/conda/core/package_cache_data.py", line 612, in <genexpr>
    for prec in self.link_precs)
  File "/hpc/packages/minerva-centos7/anaconda3/2019.10/lib/python3.7/site-packages/conda/core/package_cache_data.py", line 503, in make_actions_for_record
    ), None)
  File "/hpc/packages/minerva-centos7/anaconda3/2019.10/lib/python3.7/site-packages/conda/core/package_cache_data.py", line 500, in <genexpr>
    pcrec for pcrec in concat(PackageCacheData(pkgs_dir).query(pref_or_spec)
  File "/hpc/packages/minerva-centos7/anaconda3/2019.10/lib/python3.7/site-packages/conda/core/package_cache_data.py", line 501, in <genexpr>
    for pkgs_dir in context.pkgs_dirs)
  File "/hpc/packages/minerva-centos7/anaconda3/2019.10/lib/python3.7/site-packages/conda/core/package_cache_data.py", line 130, in query
    return (pcrec for pcrec in itervalues(self._package_cache_records) if pcrec == param)
  File "/hpc/packages/minerva-centos7/anaconda3/2019.10/lib/python3.7/site-packages/conda/core/package_cache_data.py", line 244, in _package_cache_records
    self.load()
  File "/hpc/packages/minerva-centos7/anaconda3/2019.10/lib/python3.7/site-packages/conda/core/package_cache_data.py", line 96, in load
    package_cache_record = self._make_single_record(base_name)
  File "/hpc/packages/minerva-centos7/anaconda3/2019.10/lib/python3.7/site-packages/conda/core/package_cache_data.py", line 359, in _make_single_record
    raw_json_record = read_index_json_from_tarball(package_tarball_full_path)
  File "/hpc/packages/minerva-centos7/anaconda3/2019.10/lib/python3.7/site-packages/conda/gateways/disk/read.py", line 123, in read_index_json_from_tarball
    conda_package_handling.api.extract(package_tarball_full_path, tmpdir, 'info')
  File "/hpc/packages/minerva-centos7/anaconda3/2019.10/lib/python3.7/site-packages/conda_package_handling/api.py", line 58, in extract
    SUPPORTED_EXTENSIONS[ext].extract(fn, dest_dir, components=components)
  File "/hpc/packages/minerva-centos7/anaconda3/2019.10/lib/python3.7/site-packages/conda_package_handling/conda_fmt.py", line 59, in extract
    _extract_component(fn, file_id, component, dest_dir)
  File "/hpc/packages/minerva-centos7/anaconda3/2019.10/lib/python3.7/site-packages/conda_package_handling/conda_fmt.py", line 32, in _extract_component
    with ZipFile(fn, compression=ZIP_STORED) as zf:
  File "/hpc/packages/minerva-centos7/anaconda3/2019.10/lib/python3.7/zipfile.py", line 1207, in __init__
    self.fp = io.open(file, filemode)
PermissionError: [Errno 13] Permission denied: '/hpc/packages/minerva-centos7/anaconda3/2019.10/pkgs/blas-1.0-mkl.conda'

$ /hpc/packages/minerva-centos7/anaconda3/2019.10/bin/conda-env create --file /hpc/users/assadn01/ncov/.snakemake/conda/754f7a2a.yaml --prefix /hpc/users/assadn01/ncov/.snakemake/conda/754f7a2a

environment variables:
CIO_TEST=
CONDA_AUTO_UPDATE_CONDA=false
CONDA_EXE=/hpc/packages/minerva-centos7/anaconda3/2019.10/bin/conda
CONDA_PYTHON_EXE=/hpc/packages/minerva-centos7/anaconda3/2019.10/bin/python
CONDA_ROOT=/hpc/packages/minerva-centos7/anaconda3/2019.10
CONDA_SHLVL=0
CPATH=/hpc/packages/minerva-centos7/python/3.8.2/include
LD_LIBRARY_PATH=/hpc/packages/minerva-centos7/python/3.8.2/lib:/hpc/packages/minerva-
centos7/py_packages/3.8/lib/python3.8/site-
packages:/hpc/packages/minerva-
centos7/gcc/8.3.0_32b/lib64:/hpc/packages/minerva-
centos7/gcc/8.3.0_32b/lib:/hpc/lsf/10.1/linux3.10-glibc2.17-x86_64/lib
LIBRARY_PATH=/hpc/packages/minerva-centos7/python/3.8.2/lib
MANPATH=/hpc/packages/minerva-
centos7/python/3.8.2/share/man:/hpc/packages/minerva-centos7/gcc/8.3.0
_32b/share/man:/usr/share/lmod/lmod/share/man:/hpc/lsf/10.1/man::
MODULEPATH=/etc/modulefiles:/usr/share/modulefiles:/usr/share/lmod/lmod/modulefil
es/Core:/opt/hpc/packages/minerva-
centos7/modulefiles:/opt/hpc/packages/minerva-common/modulefiles
PATH=/hpc/packages/minerva-
centos7/py_packages/3.8/bin:/hpc/packages/minerva-
centos7/python/3.8.2/bin:/hpc/packages/minerva-
centos7/gcc/8.3.0_32b/bin:/hpc/packages/minerva-
centos7/anaconda3/2019.10/bin:/hpc/packages/minerva-centos7/anaconda3/
2019.10/condabin:/usr/lib64/qt-3.3/bin:/hpc/lsf/10.1/linux3.10-glibc2.
17-x86_64/etc:/hpc/lsf/10.1/linux3.10-glibc2.17-x86_64/bin:/usr/local/
bin:/usr/bin:/usr/local/sbin:/usr/sbin:/usr/lpp/mmfs/bin:/opt/ibutils/
bin:/hpc/users/assadn01/.local/bin:/hpc/users/assadn01/bin
PYTHONPATH=/hpc/packages/minerva-centos7/py_packages/3.8/lib/python3.8/site-
packages:/hpc/packages/minerva-
centos7/python/3.8.2/lib/python3.8/site-packages
REQUESTS_CA_BUNDLE=
SSL_CERT_FILE=
__LMOD_REF_COUNT_CPATH=/hpc/packages/minerva-centos7/python/3.8.2/include:1
_LMOD_REF_COUNT_LD_LIBRARY_PATH=/hpc/packages/minerva-
centos7/python/3.8.2/lib:1;/hpc/packages/minerva-
centos7/py_packages/3.8/lib/python3.8/site-
packages:1;/hpc/packages/minerva-
centos7/gcc/8.3.0_32b/lib64:1;/hpc/packages/minerva-centos7/gcc/8.3.0

32b/lib:1;/hpc/lsf/10.1/linux3.10-glibc2.17-x86_64/lib:1
__LMOD_REF_COUNT_LIBRARY_PATH=/hpc/packages/minerva-centos7/python/3.8.2/lib:1
__LMOD_REF_COUNT_MANPATH=/hpc/packages/minerva-
centos7/python/3.8.2/share/man:1;/hpc/packages/minerva-centos7/gcc/8.3
.0_32b/share/man:1;/usr/share/lmod/lmod/share/man:1;/hpc/lsf/10.1/man:
1
__LMOD_REF_COUNT_MODULEPATH=/etc/modulefiles:1;/usr/share/modulefiles:1;/usr/share/lmod/lmod/modul
efiles/Core:1;/opt/hpc/packages/minerva-
centos7/modulefiles:1;/opt/hpc/packages/minerva-common/modulefiles:1
__LMOD_REF_COUNT_PATH=/hpc/packages/minerva-
centos7/py_packages/3.8/bin:1;/hpc/packages/minerva-
centos7/python/3.8.2/bin:1;/hpc/packages/minerva-
centos7/gcc/8.3.0_32b/bin:1;/hpc/packages/minerva-centos7/anaconda3/20
19.10/bin:2;/hpc/users/assadn01/.conda/envs/pythontest/bin:1;/hpc/pack
ages/minerva-centos7/anaconda3/2019.10/condabin:1;/usr/lib64/qt-3.3/bi
n:1;/hpc/lsf/10.1/linux3.10-glibc2.17-x86_64/etc:1;/hpc/lsf/10.1/linux
3.10-glibc2.17-x86_64/bin:1;/usr/local/bin:1;/usr/bin:1;/usr/local/sbi
n:1;/usr/sbin:1;/usr/lpp/mmfs/bin:5;/opt/ibutils/bin:1;/hpc/users/assa
dn01/.local/bin:1;/hpc/users/assadn01/bin:1
__LMOD_REF_COUNT_PYTHONPATH=/hpc/packages/minerva-centos7/py_packages/3.8/lib/python3.8/site-
packages:1;/hpc/packages/minerva-
centos7/python/3.8.2/lib/python3.8/site-packages:1

 active environment : None
        shell level : 0
   user config file : /hpc/users/assadn01/.condarc

populated config files :
conda version : 4.8.2
conda-build version : 3.18.9
python version : 3.7.4.final.0
virtual packages : __glibc=2.17
base environment : /hpc/packages/minerva-centos7/anaconda3/2019.10 (read only)
channel URLs : https://repo.anaconda.com/pkgs/main/linux-64
https://repo.anaconda.com/pkgs/main/noarch
https://repo.anaconda.com/pkgs/r/linux-64
https://repo.anaconda.com/pkgs/r/noarch
package cache : /hpc/packages/minerva-centos7/anaconda3/2019.10/pkgs
/hpc/users/assadn01/.conda/pkgs
envs directories : /hpc/users/assadn01/.conda/envs
/hpc/packages/minerva-centos7/anaconda3/2019.10/envs
platform : linux-64
user-agent : conda/4.8.2 requests/2.23.0 CPython/3.7.4 Linux/3.10.0-957.10.1.el7.x86_64 centos/7.6.1810 glibc/2.17
UID:GID : 24093:31014
netrc file : None
offline mode : False

An unexpected error has occurred. Conda has prepared the above report.

I’m also getting errors trying to run the build from last night. I cloned GitHub ncov, uploaded most recent gisaid fused w/ our temp data. After fixing metadata (didn’t notice the two new columns) things ran until tree global. Was using default snakemake except, I added all of our samples to the “include.txt” list.

snakemake --core 16 --printshellcmds --reason

ERROR: b’ERROR: Alignment sequence Uganda_X_X_UG006_X_X_2020 does not appear in the tree\nERROR: Alignment sequence Uruguay_X_X_UY-10_X_X_2020 does not appear in the tree\nERROR: Alignment sequence Uganda_X_X_UG003_X_X_2020 does not appear in the tree\nERROR: Tree taxa and alignment sequence do not match (see above)\n’
shell exited 2 when running: iqtree -ninit 2 -n 2 -me 0.05 -nt 16 -s results/global/subsampled_alignment-delim.fasta -m GTR -ninit 10 -n 4 > results/global/subsampled_alignment-delim.iqtree.log

Building a tree via:
iqtree -ninit 2 -n 2 -me 0.05 -nt 16 -s results/global/subsampled_alignment-delim.fasta -m GTR -ninit 10 -n 4 > results/global/subsampled_alignment-delim.iqtree.log
Nguyen et al: IQ-TREE: A fast and effective stochastic algorithm for estimating maximum likelihood phylogenies.
Mol. Biol. Evol., 32:268-274. https://doi.org/10.1093/molbev/msu300

ERROR: TREE BUILDING FAILED
Please see the log file for more details: results/global/subsampled_alignment-delim.iqtree.log

Building original tree took 106.96316981315613 seconds

Because of this error, I added the files above to the exclude list and reran. When was getting errors that Wuhan 1 was not in the trees. Not really sure what is going on. I tried going back to some older builds, which also don’t make it through. However, I think this is because the Wuhan 1 files have been renamed.

I did notice that Wuhan-Hu-1/2019 is not in the GISAID build (but in the include.txt file) so I’m trying again w/ that line hashed out.

My error ended up being on the part of my account permissions. The server manager was able to resolve it!

Thank you!
Nima

1 Like

@nassad That is excellent news! Let us know if you have other questions about the tutorial as you work through the content.

@oroak I have also encountered that Wuhan 1 error recently and I think I resolved it by re-downloading the GISAID sequences and running everything from scratch. Regarding the IQ-TREE errors, these may be related to characters in the strain names that IQ-TREE doesn’t like. We try to clean up those characters prior to tree building, but I’ll make a note too look into this more closely and confirm.

Regarding merging of your metadata with the curated GISAID data, how do you manage this merge now? Do you have a script that tries to handle matching of columns and de-duplication of strains, etc.? Or is this mostly a manual process right now?

So I was able to get things to work on an older June build by adding reference w/ prior name. I just redownloaded as you’ve suggested. Wuhan-Hu-1/2019 is still not in the GISAID release. Will not having that break anything? Wuhan/Hu-1/2019 and Wuhan/WH01/2019 are available.

The metadata issues was just GISAID adding pangolin_lineage, GISAID_clade, & paper_url. We’ve just been following your template so didn’t notice the issue at first.

I didn’t see anything up w/ these names
Uganda/UG006/2020
Uruguay/UY-10/2020
Uganda/UG003/2020

thanks

Getting a fresh, 2020-07-14 GISAID pull and commenting out those three samples led to a successful build.

1 Like

@jlhudd
I was able to run the sample data without issue. I am now attempting to run a similar build on 394 clinical sample from NYC. I have adjusted the division in builds.yaml and formatted the metadata to match the example. I have taken care to ensure the names matched the fasta headers and dates for each sample were formatted YYYY-MM-DD.

I receive the following error when running
$snakemake --profile my_profiles/analysis_NYC -p


Adjusting metadata for build ‘north-america_usa’

    /hpc/users/assadn01/.conda/envs/nextstrain/bin/python scripts/adjust_regional_meta.py             --region 'North America'             --metadata data/metadata.tsv             --output results/north-america_usa/metadata_adjusted.tsv 2>&1 | tee logs/adjust_metadata_regions_north-america_usa.txt

/hpc/users/assadn01/.conda/envs/nextstrain/lib/python3.6/site-packages/pandas/core/ops/array_ops.py:253: FutureWarning: elementwise comparison failed; returning scalar instead, but in the future will perform elementwise comparison
res_values = method(rvalues)
Adjusting metadata for focal region North America
Traceback (most recent call last):
File “scripts/construct-recency-from-submission-date.py”, line 41, in
node_data[‘nodes’][strain] = {‘recency’: get_recency(d[‘date_submitted’], ref_date)}
File “scripts/construct-recency-from-submission-date.py”, line 7, in get_recency
date_submitted = datetime.strptime(date_str, ‘%Y-%m-%d’).toordinal()
File “/hpc/users/assadn01/.conda/envs/nextstrain/lib/python3.6/_strptime.py”, line 565, in _strptime_datetime
tt, fraction = _strptime(data_string, format)
File “/hpc/users/assadn01/.conda/envs/nextstrain/lib/python3.6/_strptime.py”, line 362, in _strptime
(data_string, format))
ValueError: time data ‘’ does not match format ‘%Y-%m-%d’
[Thu Jul 16 12:29:02 2020]
Finished job 17.
5 of 76 steps (7%) done

[Thu Jul 16 12:29:02 2020]
Job 15: Constructing colors file

    /hpc/users/assadn01/.conda/envs/nextstrain/bin/python scripts/assign-colors.py             --ordering defaults/color_ordering.tsv             --color-schemes defaults/color_schemes.tsv             --output results/north-america_usa/colors.tsv             --metadata results/north-america_usa/metadata_adjusted.tsv 2>&1 | tee logs/colors_north-america_usa.txt

[Thu Jul 16 12:29:02 2020]
Error in rule recency:
jobid: 27
output: results/north-america_usa_new-york/recency.json
log: logs/recency_north-america_usa_new-york.txt (check log file(s) for error message)
shell:

    /hpc/users/assadn01/.conda/envs/nextstrain/bin/python scripts/construct-recency-from-submission-date.py             --metadata results/north-america_usa_new-york/metadata_adjusted.tsv             --output results/north-america_usa_new-york/recency.json 2>&1 | tee logs/recency_north-america_usa_new-york.txt
    
    (one of the commands exited with non-zero exit code; note that snakemake uses bash strict mode!)

scripts/assign-colors.py:39: FutureWarning: elementwise comparison failed; returning scalar instead, but in the future will perform elementwise comparison
subset_present = [x for x in assignment[name] if x in metadata[name].unique()]
No traits found for location
[Thu Jul 16 12:29:03 2020]
Finished job 15.
6 of 76 steps (8%) done
Shutting down, this might take some time.
Exiting because a job execution failed. Look above for error message
Complete log: /sc/hydra/work/assadn01/ncov/.snakemake/log/2020-07-16T122858.339687.snakemake.log


logs/recency_north-america_usa_new-york.txt:

Traceback (most recent call last):
File “scripts/construct-recency-from-submission-date.py”, line 41, in
node_data[‘nodes’][strain] = {‘recency’: get_recency(d[‘date_submitted’], ref_date)}
File “scripts/construct-recency-from-submission-date.py”, line 7, in get_recency
date_submitted = datetime.strptime(date_str, ‘%Y-%m-%d’).toordinal()
File “/hpc/users/assadn01/.conda/envs/nextstrain/lib/python3.6/_strptime.py”, line 565, in _strptime_datetime
tt, fraction = _strptime(data_string, format)
File “/hpc/users/assadn01/.conda/envs/nextstrain/lib/python3.6/_strptime.py”, line 362, in _strptime
(data_string, format))
ValueError: time data ‘’ does not match format ‘%Y-%m-%d’

Is there something I’m missing?

Thank you!
Nima

The above error was due to a metadata header with “date_submitted” that was left blank. Removing this header from the metadata resolved the error.